MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Create Agent Custom ToolCreate Agent GuardrailRemove Agent System ToolDelete Agent Custom ToolDelete Agent GuardrailDiscard Staged ChangesDiff Stage Against Latest PublishedGet Stage WorkflowList Agent System ToolsList Agent Custom ToolsList Agent GuardrailsUpdate Staged Voice SettingsUpdate Staged Agent SettingsPatch Stage WorkflowRegenerate Widget Embed KeyUpdate Agent Custom ToolEnable or Configure Agent System Tool
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceAgent Configuration (Staging)

Enable or Configure Agent System Tool

PUT
/v1/agents/{agent_id}/stage/system-tools/{tool_name}

Reflects unpublished staged state - see GET /agents/{agent_id}/versions/latest for what's actually live.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid
tool_name*Tool Name

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/stage/system-tools/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "tool_name": "string",  "enabled": true,  "config": {}}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Update Agent Custom Tool

Previous Page

Agent Configuration (Versions)

Endpoints in the Agent Configuration (Versions) group.

enabled?Enabled
Defaulttrue
config?